/*************************************************************************************************************
* This file contains loading of pixmaps
* 2012/8 by Dlxko
* Version 3.0
**************************************************************************************************************/
#include "Pixmaps.h"

// Function to create pimaps
bool create_pixmaps()
{
	// Alloc for error
	GError *px_rcv_error = NULL;

	// Load default icon
	default_icon = gdk_pixbuf_new_from_file("images/core/def_icon.png", &px_rcv_error);

	// If error close
	if (px_rcv_error)
	{
		g_error_free (px_rcv_error);
		memset(warnings_tmp, 0, WARNING_TMP_SIZE);
		sprintf_s(warnings_tmp, WARNING_TMP_SIZE, "Cant load pixbuf %s \n", px_rcv_error);
		function_showgtk_fatal(warnings_tmp);
		return false;
	}
	return true;
}